"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$setExit = exports.$resetCommon = exports.$setCommon = exports.$useCommon = void 0;
const toolkit_1 = require("@reduxjs/toolkit");
const initState = {
    start: 'user/login',
    login: false,
    styleSafe: {
        backgroundColor: '#fff',
        flex: 1,
    },
    resUser: {},
};
const commonSlice = (0, toolkit_1.createSlice)({
    name: 'common',
    initialState: Object.assign({}, initState),
    reducers: {
        setStores: (state, { payload }) => {
            return Object.assign(Object.assign({}, state), payload);
        },
        cleanStores: () => {
            return Object.assign({}, initState);
        },
        setExit: (state) => {
            return Object.assign(Object.assign({}, state), { login: true });
        },
    }
});
const _common = commonSlice.actions;
exports.$useCommon = commonSlice.reducer;
exports.$setCommon = _common.setStores;
exports.$resetCommon = _common.cleanStores;
exports.$setExit = _common.setExit;
