"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ActionSheet_1 = __importDefault(require("../ActionSheet"));
const Camera_1 = __importDefault(require("../Camera"));
const Fetch_1 = __importDefault(require("../Fetch"));
const react_native_image_picker_1 = require("react-native-image-picker");
const UploadImages = (params = {}) => {
    const onSubmit = (type, res) => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        const qs = [];
        let items = [];
        if (type === 'photo') {
            items = (res === null || res === void 0 ? void 0 : res.assets) || [];
        }
        else {
            items.push({
                base64: res.base64,
                type: 'image/jpg'
            });
        }
        for (let i = 0; i < (items === null || items === void 0 ? void 0 : items.length); i++) {
            const item = items[i];
            qs.push((0, Fetch_1.default)('common/common/upload/file', { base64: `data:${item.type};base64,${item.base64}` }, {
                apiType: 'common',
                post: true,
                headers: {
                    'content-type': 'multipart/form-data'
                }
            }));
        }
        const imgs = yield Promise.all(qs);
        (_a = params === null || params === void 0 ? void 0 : params.onChange) === null || _a === void 0 ? void 0 : _a.call(params, imgs);
    });
    (0, ActionSheet_1.default)({
        title: params.title || '图片上传',
        actions: [
            {
                title: '拍照',
                onClick: () => {
                    (0, Camera_1.default)({
                        onSubmit: (res) => {
                            console.log('res', res);
                            onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit('camera', res);
                        }
                    });
                }
            },
            {
                title: '从手机相册选择',
                onClick: () => __awaiter(void 0, void 0, void 0, function* () {
                    const res = yield (0, react_native_image_picker_1.launchImageLibrary)({
                        mediaType: 'photo',
                        quality: params.quality || 0.5,
                        includeBase64: true,
                        maxWidth: params.maxWidth || 2000,
                        maxHeight: params.maxHeight || 2000,
                        selectionLimit: params.maxLen || 0,
                        presentationStyle: 'fullScreen'
                    });
                    onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit('photo', res);
                })
            }
        ]
    });
};
exports.default = UploadImages;
